VERSION 5.00
Begin VB.UserControl ctrUrzadzenie 
   Alignable       =   -1  'True
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   BackStyle       =   0  'Transparent
   ClientHeight    =   600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   600
   ScaleHeight     =   600
   ScaleWidth      =   600
   Begin VB.Label lblOpis 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   0
      TabIndex        =   0
      Top             =   360
      Width           =   45
   End
   Begin VB.Image imgObrazek 
      Height          =   315
      Left            =   0
      Picture         =   "ctrlRouter.ctx":0000
      Top             =   0
      Width           =   315
   End
End
Attribute VB_Name = "ctrUrzadzenie"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Public RJ10 As Integer 'ilosc mozliwych podlaczen rjow 10mb
Public RJ100 As Integer 'ilosc mozliwych podlaczen rjow 100mb
Public RJ1000 As Integer 'ilosc mozliwych podlaczen rjow 1000mb
Public BNC As Integer 'ilosc mozliwych podlaczen bnckow
Public SwSM As Integer 'ilosc mozliwych podlaczen swiatlowodow typu single mode
Public SwMM As Integer 'ilosc mozliwych podlaczen swiatlowodow typu multi mode
Public AUI As Integer 'ilosc mozliwych podlaczen aui'ow
Public lBNC As String 'polaczenia bnc
Private strOpis As String 'opis wybranego urzadzenia
Private bLaczenie As Boolean
Private tuUrzadzenie As TypUrzadzen 'jaki zostal wybrany typ urzadzenia
Public Enum TypUrzadzen 'jakie sa typy urzadzen
    router = 0
    swicht = 1
    bridge = 2
    hub = 3
    repeater = 4
    transceiver = 5
    modem = 6
    cloud = 7
    nic = 8
End Enum
Public Enum Ramka
    None = 0
    FixedSingle = 1
End Enum
Option Explicit
Public Event KeyPress(KeyAscii As Integer)
Public Event MouseDown(Button As Integer, Shift As Integer, x As Single, Y As Single)
Public Event MouseUp(Button As Integer, Shift As Integer, x As Single, Y As Single)
Public Event MouseMove(Button As Integer, Shift As Integer, x As Single, Y As Single)

Public Property Get Opis() As String
Opis = Replace(strOpis, vbCrLf, "\n")
End Property

Public Property Let Opis(ByVal iNowyOpis As String)
strOpis = Replace(iNowyOpis, "\n", vbCrLf)
lblOpis.Caption = strOpis
Call UserControl_Resize
PropertyChanged "Opis"
End Property

Private Sub imgObrazek_MouseDown(Button As Integer, Shift As Integer, x As Single, Y As Single)
RaiseEvent MouseDown(Button, Shift, ScaleX(x, vbTwips, vbPixels), ScaleY(Y, vbTwips, vbPixels))
End Sub

Private Sub imgObrazek_MouseMove(Button As Integer, Shift As Integer, x As Single, Y As Single)
If Button = 1 Then
    DoEvents
End If
RaiseEvent MouseMove(Button, Shift, ScaleX(x, vbTwips, vbPixels), ScaleY(Y, vbTwips, vbPixels))
End Sub

Private Sub UserControl_Initialize()
'przypisanie domyslnych ilosci urzadzen
BNC = 1
Urzadzenie = router
End Sub

Private Sub UserControl_KeyPress(KeyAscii As Integer)
RaiseEvent KeyPress(KeyAscii)
End Sub

Private Sub UserControl_Resize()
If lblOpis.Width > 600 Then
    UserControl.Width = lblOpis.Width
Else
    UserControl.Width = 600
End If
If lblOpis.Height > 195 Then
    UserControl.Height = 600 + lblOpis.Height - 195
Else
    UserControl.Height = 600
End If
End Sub

Public Property Get Urzadzenie() As TypUrzadzen
Attribute Urzadzenie.VB_Description = "to jest opis"
Urzadzenie = tuUrzadzenie
End Property

Public Property Let Urzadzenie(ByVal NoweUrzadzenie As TypUrzadzen)
tuUrzadzenie = NoweUrzadzenie
Select Case NoweUrzadzenie
    Case 0
        'imgObrazek.Picture = frmElementy.imgRouter.Picture
    Case 1
        'imgObrazek.Picture = frmElementy.imgSwitch.Picture
    Case 3
        'imgObrazek.Picture = frmElementy.imgHub.Picture
End Select
PropertyChanged "Urzadzenie"
End Property

Public Property Get BorderStyle() As Ramka
BorderStyle = UserControl.BorderStyle
End Property

Public Property Let BorderStyle(ByVal iNowaWart As Ramka)
UserControl.BorderStyle = iNowaWart
PropertyChanged "BorderStyle"
End Property

Public Property Get Laczenie() As Boolean
Laczenie = bLaczenie
End Property

Public Property Let Laczenie(ByVal bNowaWart As Boolean)
Select Case bNowaWart
    Case True
        UserControl.MousePointer = vbCrosshair
        bLaczenie = bNowaWart
    Case False
        UserControl.MousePointer = vbDefault
End Select
End Property
